t.rast.accdetect(1)

NAME
t.rast.accdetect.py - Detects accumulation patterns in temporally accumulated space time raster datasets created by t.rast.accumulate.

KEYWORDS
temporal, accumulation, raster, time

SYNOPSIS
t.rast.accdetect.py
t.rast.accdetect.py --help
t.rast.accdetect.py [-nr] input=name [minimum=name] [maximum=name] occurrence=name [indicator=name] start=string [stop=string] cycle=string [offset=string] basename=string [range=min,max] [staend=start,intermediate,end] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Register empty maps in the output space time raster dataset, otherwise they will be deleted

-r
    Reverse time direction in cyclic accumulation

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

minimum=name
    Input space time raster dataset that specifies the minimum values to detect the accumulation pattern

maximum=name
    Input space time raster dataset that specifies the maximum values to detect the accumulation pattern

occurrence=name [required]
    The output space time raster dataset that stores the occurrence of the the accumulation pattern using the provided data range

indicator=name
    The output space time raster dataset that stores the indication of the start, intermediate and end of the specified data range

start=string [required]
    The temporal starting point to begin the accumulation, eg ’2001-01-01’

stop=string
    The temporal date to stop the accumulation, eg ’2009-01-01’

cycle=string [required]
    The temporal cycle to restart the accumulation, eg ’12 months’

offset=string
    The temporal offset to the begin of the next cycle, eg ’6 months’

basename=string [required]
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

range=min,max
    The minimum and maximum value of the occurrence of accumulated values, these values will be used if the min/max space time raster datasets are not specified

staend=start,intermediate,end
    The user defined values that indicate start, intermediate and end status in the indicator output space time raster dataset
    Default: 1,2,3

DESCRIPTION
t.rast.accdetect is designed to detect accumulation pattern in temporally accumulated space time raster datasets created by t.rast.accumulate. This module expects a space time raster dataset as input that is the result of a t.rast.accumulate run.

The start time and the end time of the pattern detection process must be set, eg. start="2000-03-01" end="2011-01-01". The start and end time do not need to be the same as for the accumulation run that produced the input space time raster dataset. In addition a cycle, eg. "8 months", can be specified, that defines after which time interval the accumulation pattern detection process restarts. The offset option specifies the time between two cycles that should be skipped, eg. "4 months". Please make sure that the cycle and offset options are same as in the accumulation process that produces the input space time raster dataset, otherwise the accumulation pattern detection will produce wrong results.

The minimum and maximum values of the pattern detection process can be set, either by using space time raster datasets or by using fixed values for all raster cells and time steps.

Using space time raster datasets allow specifying minimum and maximum values for each raster cell and each time step. For example, we want to detect the germination (minimum value) and harvesting (maximum value) dates for different crops in Germany using the growing-degree-day (GDD) method for several years. Different crops may grow in different raster cells and change with time because of crop rotation. Hence we need to specify different GDD germination/harvesting (minimum/maximum) values for different raster cells and different years.

The raster maps that specifies the minimum and maximum values of the actual granule will be detected using the following temporal relations: equals, during, overlaps, overlapped and contains. First all maps with equal time stamps to the current granule of the input STRDS will be detected, the first minimum map and the first maximum map that were found are used as range definitions. If no equal maps are found then maps with a temporal during relation are detected, then maps that temporally overlap the actual granules, until maps are detected that have a temporal contain relation. If no maps are found or minimum/maximum STRDS are not set, then the range option is used, eg. range=480,730.

The base name of of the generated maps must always be set.

This module produces two output space time raster datasets. The occurrence output STRDS stores the time in days from the begin of a cycle for each raster cell and time step that has a value within the minimum and maximum definition. These values can be used to compute the duration of the recognized accumulation pattern. The indicator output STRDS uses three values, that can be set using the staend option, to mark raster cells with integer values that indicate the start, the intermediate state and the end of a accumulation pattern. As default specifies the value 1 the start, the value 2 the intermediate state and the value 3 the end of the accumulation pattern in a cycle.

EXAMPLE
Please have a look at the t.rast.accumulate example.

SEE ALSO
t.rast.accumulate, t.rast.aggregate, t.rast.mapcalc, t.info, r.series.accumulate, g.region

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2015-07-11 16:04:13 +0200 (so, 11 7 2015) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.3 Reference Manual